# std::unordered_set::clear

From cppreference.com
< cpp‎ | container‎ | unordered set

void clear(); |  | (since C++11)

Removes all elements from the container.

Invalidates any references, pointers, or iterators referring to contained elements. May also invalidate past-the-end iterators.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Linear in the size of the container.

### See also

erase | erases elements (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_set/clear&oldid=50775"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template